Overview | Package | Class | Use | Tree | Deprecated | Index | Help
PREV CLASS NEXT CLASS | FRAMES NO FRAMES
SUMMARY: NESTED | FIELD | CONSTR | METHOD | DETAIL: FIELD | CONSTR | METHOD

## org.hibernate.loader
Class OuterJoinableAssociation

    java.lang.Object
      org.hibernate.loader.OuterJoinableAssociation

    public final class OuterJoinableAssociation

extends Object

Constructor Summary
`OuterJoinableAssociation(AssociationType joinableType, String lhsAlias, String[] lhsColumns, String rhsAlias, int joinType, SessionFactoryImplementor factory, Map enabledFilters)`

Method Summary
`void` | `addJoins(JoinFragment outerjoin)`
`void` | `addManyToManyJoin(JoinFragment outerjoin, QueryableCollection collection)`
`Joinable` | `getJoinable()`
`AssociationType` | `getJoinableType()`
`int` | `getJoinType()`
`int` | `getOwner(List associations)`
`String` | `getRHSAlias()`
`String` | `getRHSUniqueKeyName()`
`boolean` | `isCollection()`
`boolean` | `isManyToManyWith(OuterJoinableAssociation other)`
`void` | `validateJoin(String path)`

Methods inherited from class java.lang.Object
`clone, equals, finalize, getClass, hashCode, notify, notifyAll, toString, wait, wait, wait`

Constructor Detail

### OuterJoinableAssociation

    public OuterJoinableAssociation(AssociationType joinableType,
                                    String lhsAlias,
                                    String[] lhsColumns,
                                    String rhsAlias,
                                    int joinType,
                                    SessionFactoryImplementor factory,
                                    Map enabledFilters)
                             throws MappingException

Throws:
  `MappingException`

Method Detail

### getJoinType

    public int getJoinType()

### getRHSAlias

    public String getRHSAlias()

### getJoinableType

    public AssociationType getJoinableType()

### getRHSUniqueKeyName

    public String getRHSUniqueKeyName()

### isCollection

    public boolean isCollection()

### getJoinable

    public Joinable getJoinable()

### getOwner

    public int getOwner(List associations)

### addJoins

    public void addJoins(JoinFragment outerjoin)
                  throws MappingException

  Throws:
    `MappingException`

### validateJoin

    public void validateJoin(String path)
                      throws MappingException

  Throws:
    `MappingException`

### isManyToManyWith

    public boolean isManyToManyWith(OuterJoinableAssociation other)

### addManyToManyJoin

    public void addManyToManyJoin(JoinFragment outerjoin,
                                  QueryableCollection collection)
                           throws MappingException

  Throws:
    `MappingException`

Overview | Package | Class | Use | Tree | Deprecated | Index | Help
PREV CLASS NEXT CLASS | FRAMES NO FRAMES
SUMMARY: NESTED | FIELD | CONSTR | METHOD | DETAIL: FIELD | CONSTR | METHOD